<?php
namespace org\standard\aps\types\core\license;
/**
 * Class License
 * @id("http://aps-standard.org/types/core/license/1.0")
 */
class License extends \APS\ResourceBase
{
/**
 * @type(string)
 * @required
 */
public $id;
/**
 * @type(string)
 * @required
 */
public $status;
/**
 * @type(string)
 * @required
 */
public $key;
/**
 * @type(string[])
 */
public $features;
/**
 * @type(string)
 * @format("date-time")
 */
public $startDate;
/**
 * @type(string)
 * @format("date-time")
 */
public $expirationDate;

/**
 * @verb(POST)
 * @path("/activationData")
 * @param(string, body)
 */
public function activate($activationData) {
	return \APS\Request::getController()->getIo()->sendRequest("POST", \APS\Proto::resourcePath($this->aps->id, "/activationData"), $activationData);
}

/**
 * @verb(PUT)
 * @path("/renew")
 */
public function renew() {
	return \APS\Request::getController()->getIo()->sendRequest("PUT", \APS\Proto::resourcePath($this->aps->id, "/renew"));
}
}
?>