<?php
namespace org\standard\aps\types\mail\mailbox;
class Socket {
/**
 * @type(string)
 * @required
 * @format("host-name")
 * @description("Host name or IP address.")
 */
public $host;
/**
 * @type(integer)
 * @description("Port number. If this property is omitted, the protocol's default value for the specified encryption must be used. For example: 143 for IMAP without encryption, 993 for IMAP with SSL encryption.")
 */
public $port;
/**
 * @type(string)
 * @description("Encryption type which is used for data transferring. Possible values: None, SSL, any string. Defult value is None.")
 */
public $encryption;

}
/**
 * Class Mailbox
 * @id("http://aps-standard.org/types/mail/mailbox/1.0")
 * @implements("http://aps-standard.org/types/mail/recipient/1.0")
 * @structure(Socket)
 */
class Mailbox extends \APS\ResourceBase
{
/**
 * @type(string[])
 * @required
 * @description("Protocols which can be used to access a mailbox. Possible values: IMAP4, POP3, SMTP, any string.")
 */
public $accessProtocols;
/**
 * @type(\org\standard\aps\types\mail\mailbox\Socket[])
 * @description("List of all POP3 endpoints which may be used to access the mailbox.")
 */
public $pop3;
/**
 * @type(\org\standard\aps\types\mail\mailbox\Socket[])
 * @description("List of all IMAP endpoints which may be used to access the mailbox.")
 */
public $imap4;
/**
 * @type(\org\standard\aps\types\mail\mailbox\Socket[])
 * @required
 * @description("List of all SMTP endpoints which may be used to access the mailbox. At least one SMTP endpoint must be specified.")
 * @minItems(1)
 */
public $smtp;
/**
 * @required
 * @link("http://aps-standard.org/types/core/user/1.0")
 */
public $user;
}
?>