<?php
namespace org\standard\aps\types\mail\recipient;
/**
 * Class MailRecipient
 * @id("http://aps-standard.org/types/mail/recipient/1.0")
 */
class MailRecipient extends \APS\ResourceBase
{
/**
 * @type(string)
 * @required
 * @format("email")
 * @description("Primary email address of the mail recipient.")
 */
public $primaryEmail;
/**
 * @type(string[])
 * @description("List of recipient aliases.")
 */
public $aliases;
/**
 * @type(string)
 * @required
 * @description("The recipient's display name.")
 */
public $name;
/**
 * @type(boolean)
 * @description("Flag indicating whether the mail recipient is invisible in the Global Address List of an organization.")
 */
public $hideFromGlobalAddressList;
/**
 * @type(string[])
 * @description("List of operations which are not allowed for the recipient. Posible values: PULL-ARCHIVING, PUSH-ARCHIVING, any string.")
 */
public $restrictions;
/**
 * @required
 * @link("http://aps-standard.org/types/dns/domain/1.0[]")
 */
public $domains;
}
?>