<?php
namespace org\standard\aps\types\sso\identity\management\identity;
/**
 * Class Identity
 * @id("http://aps-standard.org/types/sso/identity-management/identity/1.0")
 * @implements("http://aps-standard.org/types/core/resource/1.0")
 */
class Identity extends \APS\ResourceBase
{
/**
 * @type(string)
 * @description("a human-friendly name used to refer a user")
 */
public $friendlyName;
/**
 * @type(string)
 * @description("a unique id that could be used to identify user (even when no identity accounts are presented)")
 */
public $userId;
/**
 * @required
 * @link("http://aps-standard.org/types/sso/identity-management/1.0")
 */
public $identityManagement;
/**
 * @link("http://aps-standard.org/types/sso/identity-management/account/1.0[]")
 */
public $identityAccounts;

/**
 * @verb(DELETE)
 * @path("/logout")
 */
public function logout() {
	return \APS\Request::getController()->getIo()->sendRequest("DELETE", \APS\Proto::resourcePath($this->aps->id, "/logout"));
}
}
?>